/*
 * pilotsetup.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */
 

#include "setup.h"
#include "config.h"

cVodSetup::cVodSetup(void)
{

  Red         = config.red;
  Green       = config.green;
  Blue        = config.blue;
  
  Add(new cMenuEditIntItem(tr("Red"),                  &Red, 0, 255));
  Add(new cMenuEditIntItem(tr("Green"),                &Green, 0, 255));
  Add(new cMenuEditIntItem(tr("Blue"),                 &Blue, 0, 255));
}

void cVodSetup::Store(void)
{
  SetupStore("Red",         config.red = Red);
  SetupStore("Green",       config.green = Green);
  SetupStore("Blue",        config.blue = Blue);
}

